module.exports = {
	customProperties: {
		'--color-interactive': 'var(--color-green)',
		'--color-interactive--hover': 'var(--color-green--dark)',
		'--color-destructive': 'var(--color-red)',
		'--color-destructive--hover': 'var(--color-red--dark)',
		'--color-interactive--subtle': 'var(--color-greyBlue)',
		'--color-interactive--subtle--hover': 'var(--color-greyBlue--dark)',
		'--color-disabled': 'var(--color-grey)',
		'--color-disabled--secondary': 'var(--color-grey--lighter)',
		'--color-focus': 'var(--color-yellow--light)',
		'--color-critical': 'var(--color-red)',
		'--color-critical--surface': 'var(--color-red--lightest)',
		'--color-critical--onSurface': 'var(--color-red--dark)',
		'--color-warning': 'var(--color-yellow)',
		'--color-warning--surface': 'var(--color-yellow--lightest)',
		'--color-warning--onSurface': 'var(--color-yellow--dark)',
		'--color-success': 'var(--color-green)',
		'--color-success--surface': 'var(--color-green--lightest)',
		'--color-success--onSurface': 'var(--color-green--dark)',
		'--color-informative': 'var(--color-lightBlue)',
		'--color-informative--surface': 'var(--color-lightBlue--lightest)',
		'--color-informative--onSurface': 'var(--color-lightBlue--dark)',
		'--color-inactive': 'var(--color-blue--light)',
		'--color-inactive--surface': 'var(--color-blue--lightest)',
		'--color-inactive--onSurface': 'var(--color-blue--dark)',
		'--color-heading': 'var(--color-blue)',
		'--color-text': 'var(--color-greyBlue--dark)',
		'--color-text--secondary': 'var(--color-greyBlue)',
		'--color-text--reverse': 'var(--color-white)',
		'--color-text--reverse--secondary': 'var(--color-greyBlue--lighter)',
		'--color-surface': 'var(--color-white)',
		'--color-surface--hover': 'var(--color-yellow--lightest)',
		'--color-surface--active': 'var(--color-green--lightest)',
		'--color-surface--background': 'var(--color-grey--lightest)',
		'--color-surface--reverse': 'var(--color-blue)',
		'--color-border': 'var(--color-grey--lighter)',
		'--color-border--section': 'var(--color-blue)',
		'--color-overlay': 'rgba(var(--color-black--rgb), 0.32)',
		'--color-overlay--dimmed': 'rgba(var(--color-white--rgb), 0.6)',
		'--color-brand': 'var(--color-green)',
		'--color-brand--highlight': 'rgb(160, 215, 42)',
		'--color-request': 'var(--color-indigo)',
		'--color-quote': 'var(--color-pink)',
		'--color-job': 'var(--color-yellowGreen)',
		'--color-visit': 'var(--color-green)',
		'--color-task': 'var(--color-navy)',
		'--color-event': 'var(--color-yellow)',
		'--color-invoice': 'var(--color-purple)',
		'--color-payments': 'var(--color-orange)',
		'--color-client': 'var(--color-teal)',
		'--color-blue': 'rgb(1, 41, 57)',
		'--color-blue--light': 'rgb(77, 105, 116)',
		'--color-blue--lighter': 'rgb(153, 169, 176)',
		'--color-blue--lightest': 'rgb(217, 223, 225)',
		'--color-blue--dark': 'rgb(1, 27, 37)',
		'--color-green': 'rgb(125, 176, 14)',
		'--color-green--light': 'rgb(164, 200, 86)',
		'--color-green--lighter': 'rgb(203, 223, 159)',
		'--color-green--lightest': 'rgb(236, 243, 219)',
		'--color-green--dark': 'rgb(81, 114, 9)',
		'--color-lime': 'rgb(153, 193, 70)',
		'--color-lime--light': 'rgb(184, 212, 126)',
		'--color-lime--lighter': 'rgb(214, 230, 181)',
		'--color-lime--lightest': 'rgb(240, 246, 227)',
		'--color-lime--dark': 'rgb(99, 125, 46)',
		'--color-yellowGreen': 'rgb(187, 197, 32)',
		'--color-yellowGreen--light': 'rgb(207, 214, 99)',
		'--color-yellowGreen--lighter': 'rgb(228, 232, 166)',
		'--color-yellowGreen--lightest': 'rgb(245, 246, 222)',
		'--color-yellowGreen--dark': 'rgb(122, 128, 21)',
		'--color-yellow': 'rgb(221, 195, 15)',
		'--color-yellow--light': 'rgb(231, 213, 87)',
		'--color-yellow--lighter': 'rgb(241, 231, 159)',
		'--color-yellow--lightest': 'rgb(250, 246, 219)',
		'--color-yellow--dark': 'rgb(144, 127, 10)',
		'--color-red': 'rgb(201, 66, 33)',
		'--color-red--light': 'rgb(233, 141, 119)',
		'--color-red--lighter': 'rgb(255, 206, 194)',
		'--color-red--lightest': 'rgb(255, 226, 219)',
		'--color-red--dark': 'rgb(128, 25, 0)',
		'--color-grey': 'rgb(181, 181, 181)',
		'--color-grey--light': 'rgb(203, 203, 203)',
		'--color-grey--lighter': 'rgb(225, 225, 225)',
		'--color-grey--lightest': 'rgb(244, 244, 244)',
		'--color-grey--dark': 'rgb(118, 118, 118)',
		'--color-greyBlue--rgb': '101, 120, 132',
		'--color-greyBlue': 'rgba(var(--color-greyBlue--rgb), 1)',
		'--color-greyBlue--light': 'rgb(147, 161, 169)',
		'--color-greyBlue--lighter': 'rgb(193, 201, 206)',
		'--color-greyBlue--lightest': 'rgb(232, 235, 237)',
		'--color-greyBlue--dark': 'rgb(66, 78, 86)',
		'--color-lightBlue': 'rgb(60, 162, 224)',
		'--color-lightBlue--light': 'rgb(119, 190, 233)',
		'--color-lightBlue--lighter': 'rgb(177, 218, 243)',
		'--color-lightBlue--lightest': 'rgb(226, 241, 250)',
		'--color-lightBlue--dark': 'rgb(39, 105, 146)',
		'--color-purple': 'rgb(136, 112, 196)',
		'--color-purple--light': 'rgb(172, 155, 214)',
		'--color-purple--lighter': 'rgb(207, 198, 231)',
		'--color-purple--lightest': 'rgb(237, 234, 246)',
		'--color-purple--dark': 'rgb(88, 73, 127)',
		'--color-pink': 'rgb(179, 96, 150)',
		'--color-pink--light': 'rgb(202, 144, 182)',
		'--color-pink--lighter': 'rgb(225, 191, 213)',
		'--color-pink--lightest': 'rgb(244, 231, 239)',
		'--color-pink--dark': 'rgb(116, 62, 98)',
		'--color-teal': 'rgb(62, 173, 146)',
		'--color-teal--light': 'rgb(120, 198, 179)',
		'--color-teal--lighter': 'rgb(178, 222, 211)',
		'--color-teal--lightest': 'rgb(226, 243, 239)',
		'--color-teal--dark': 'rgb(40, 112, 95)',
		'--color-orange': 'rgb(243, 150, 36)',
		'--color-orange--light': 'rgb(247, 182, 102)',
		'--color-orange--lighter': 'rgb(250, 213, 167)',
		'--color-orange--lightest': 'rgb(253, 239, 222)',
		'--color-orange--dark': 'rgb(158, 98, 23)',
		'--color-brown': 'rgb(130, 107, 70)',
		'--color-brown--light': 'rgb(168, 151, 126)',
		'--color-brown--lighter': 'rgb(205, 196, 181)',
		'--color-brown--lightest': 'rgb(236, 233, 227)',
		'--color-brown--dark': 'rgb(85, 70, 46)',
		'--color-navy': 'rgb(75, 106, 150)',
		'--color-navy--light': 'rgb(129, 151, 182)',
		'--color-navy--lighter': 'rgb(183, 195, 213)',
		'--color-navy--lightest': 'rgb(228, 233, 239)',
		'--color-navy--dark': 'rgb(49, 69, 98)',
		'--color-indigo': 'rgb(85, 106, 203)',
		'--color-indigo--light': 'rgb(136, 151, 219)',
		'--color-indigo--lighter': 'rgb(187, 195, 234)',
		'--color-indigo--lightest': 'rgb(230, 233, 247)',
		'--color-indigo--dark': 'rgb(55, 69, 132)',
		'--color-white--rgb': '255, 255, 255',
		'--color-white': 'rgba(var(--color-white--rgb), 1)',
		'--color-black--rgb': '0, 0, 0',
		'--color-black': 'rgba(var(--color-black--rgb), 1)'
	}
};
